---
apiVersion: helm.fluxcd.io/v1
kind: HelmRelease
metadata:
  name: oauth2-proxy
  namespace: kube-system
  annotations:
    fluxcd.io/automated: "true"
    filter.fluxcd.io/chart-image: semver:~v6
spec:
  releaseName: oauth2-proxy
  chart:
    repository: https://k8s-at-home.com/charts/
    name: oauth2-proxy
    version: 4.0.0
  values:
    image:
      repository: "quay.io/oauth2-proxy/oauth2-proxy"
      tag: "v6.1.1"
    replicaCount: 2
    ingress:
      enabled: true
      annotations:
        kubernetes.io/ingress.class: "nginx"
        nginx.ingress.kubernetes.io/enable-cors: "true"
      hosts:
        - auth.kube.cardboardbox.be
      tls:
        - hosts:
            - auth.kube.cardboardbox.be
      path: /oauth2
    extraArgs:
      provider: oidc
      oidc-issuer-url: https://dex.kube.cardboardbox.be
      skip-provider-button:
      pass-authorization-header:
      email-domain: "*"
      cookie-domain: .kube.cardboardbox.be
      whitelist-domain: .kube.cardboardbox.be
  valueFileSecrets:
    - name: "oauth2-proxy-helm-values"
